//+------------------------------------------------------------------+
//|                                                  _yuny_swap.mq4 |
//|                                                             Yuny |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Yuny"
#property link      ""

#property indicator_chart_window

extern color c_pair = DodgerBlue;
extern color c_swap = DarkGray;

int init()
  {
   return(0);
  }

int deinit()
  {

   return(0);
  }

int start()
  {       
   ObjectDelete("s");
   ObjectCreate("s", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s", "EURUSD" + " (" + DoubleToStr((MarketInfo("EURUSD", MODE_ASK)- MarketInfo("EURUSD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s", OBJPROP_CORNER, 0);
   ObjectSet("s", OBJPROP_XDISTANCE, 5);
   ObjectSet("s", OBJPROP_YDISTANCE, 15);
   ObjectDelete("s1");
   ObjectCreate("s1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s1", " " + DoubleToStr(MarketInfo("EURUSD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURUSD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s1", OBJPROP_CORNER, 0);
   ObjectSet("s1", OBJPROP_XDISTANCE, 62);
   ObjectSet("s1", OBJPROP_YDISTANCE, 15);
  
   ObjectDelete("s2");
   ObjectCreate("s2", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s2", "GBPUSD" + " (" + DoubleToStr((MarketInfo("GBPUSD", MODE_ASK)- MarketInfo("GBPUSD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s2", OBJPROP_CORNER, 0);
   ObjectSet("s2", OBJPROP_XDISTANCE, 5);
   ObjectSet("s2", OBJPROP_YDISTANCE, 25);
   ObjectDelete("s3");
   ObjectCreate("s3", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s3", " " + DoubleToStr(MarketInfo("GBPUSD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPUSD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s3", OBJPROP_CORNER, 0);
   ObjectSet("s3", OBJPROP_XDISTANCE, 62);
   ObjectSet("s3", OBJPROP_YDISTANCE, 25);
  
   ObjectDelete("s4");
   ObjectCreate("s4", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s4", "EURGBP" + " (" + DoubleToStr((MarketInfo("EURGBP", MODE_ASK)- MarketInfo("EURGBP", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s4", OBJPROP_CORNER, 0);
   ObjectSet("s4", OBJPROP_XDISTANCE, 5);
   ObjectSet("s4", OBJPROP_YDISTANCE, 38);
   ObjectDelete("s5");
   ObjectCreate("s5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s5", " " + DoubleToStr(MarketInfo("EURGBP", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURGBP", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s5", OBJPROP_CORNER, 0);
   ObjectSet("s5", OBJPROP_XDISTANCE, 62);
   ObjectSet("s5", OBJPROP_YDISTANCE, 38);
   
   ObjectDelete("s6");
   ObjectCreate("s6", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s6", "EURAUD" + " (" + DoubleToStr((MarketInfo("EURAUD", MODE_ASK)- MarketInfo("EURAUD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s6", OBJPROP_CORNER, 0);
   ObjectSet("s6", OBJPROP_XDISTANCE, 5);
   ObjectSet("s6", OBJPROP_YDISTANCE, 48);
   ObjectDelete("s7");
   ObjectCreate("s7", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s7", " " + DoubleToStr(MarketInfo("EURAUD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURAUD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s7", OBJPROP_CORNER, 0);
   ObjectSet("s7", OBJPROP_XDISTANCE, 62);
   ObjectSet("s7", OBJPROP_YDISTANCE, 48);
   
   ObjectDelete("s8");
   ObjectCreate("s8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s8", "EURJPY" + " (" + DoubleToStr((MarketInfo("EURJPY", MODE_ASK)- MarketInfo("EURJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s8", OBJPROP_CORNER, 0);
   ObjectSet("s8", OBJPROP_XDISTANCE, 5);
   ObjectSet("s8", OBJPROP_YDISTANCE, 61);
   ObjectDelete("s9");
   ObjectCreate("s9", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s9", " " + DoubleToStr(MarketInfo("EURJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s9", OBJPROP_CORNER, 0);
   ObjectSet("s9", OBJPROP_XDISTANCE, 62);
   ObjectSet("s9", OBJPROP_YDISTANCE, 61);
   
   ObjectDelete("s10");
   ObjectCreate("s10", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s10", "EURCAD" + " (" + DoubleToStr((MarketInfo("EURCAD", MODE_ASK)- MarketInfo("EURCAD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s10", OBJPROP_CORNER, 0);
   ObjectSet("s10", OBJPROP_XDISTANCE, 5);
   ObjectSet("s10", OBJPROP_YDISTANCE, 71);
   ObjectDelete("s11");
   ObjectCreate("s11", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s11", " " + DoubleToStr(MarketInfo("EURCAD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURCAD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s11", OBJPROP_CORNER, 0);
   ObjectSet("s11", OBJPROP_XDISTANCE, 62);
   ObjectSet("s11", OBJPROP_YDISTANCE, 71);
   
   ObjectDelete("s12");
   ObjectCreate("s12", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s12", "EURCHF" + " (" + DoubleToStr((MarketInfo("EURCHF", MODE_ASK)- MarketInfo("EURCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s12", OBJPROP_CORNER, 0);
   ObjectSet("s12", OBJPROP_XDISTANCE, 5);
   ObjectSet("s12", OBJPROP_YDISTANCE, 84);
   ObjectDelete("s13");
   ObjectCreate("s13", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s13", " " + DoubleToStr(MarketInfo("EURCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s13", OBJPROP_CORNER, 0);
   ObjectSet("s13", OBJPROP_XDISTANCE, 62);
   ObjectSet("s13", OBJPROP_YDISTANCE, 84);
   
   ObjectDelete("s14");
   ObjectCreate("s14", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s14", "EURNZD" + " (" + DoubleToStr((MarketInfo("EURNZD", MODE_ASK)- MarketInfo("EURNZD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s14", OBJPROP_CORNER, 0);
   ObjectSet("s14", OBJPROP_XDISTANCE, 5);
   ObjectSet("s14", OBJPROP_YDISTANCE, 94);
   ObjectDelete("s15");
   ObjectCreate("s15", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s15", " " + DoubleToStr(MarketInfo("EURNZD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("EURNZD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s15", OBJPROP_CORNER, 0);
   ObjectSet("s15", OBJPROP_XDISTANCE, 62);
   ObjectSet("s15", OBJPROP_YDISTANCE, 94);
   
   ObjectDelete("s16");
   ObjectCreate("s16", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s16", "NZDJPY" + " (" + DoubleToStr((MarketInfo("NZDJPY", MODE_ASK)- MarketInfo("NZDJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s16", OBJPROP_CORNER, 0);
   ObjectSet("s16", OBJPROP_XDISTANCE, 5);
   ObjectSet("s16", OBJPROP_YDISTANCE, 107);
   ObjectDelete("s17");
   ObjectCreate("s17", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s17", "  " + DoubleToStr(MarketInfo("NZDJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("NZDJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s17", OBJPROP_CORNER, 0);
   ObjectSet("s17", OBJPROP_XDISTANCE, 62);
   ObjectSet("s17", OBJPROP_YDISTANCE, 107);
   
   ObjectDelete("s18");
   ObjectCreate("s18", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s18", "NZDCHF" + " (" + DoubleToStr((MarketInfo("NZDCHF", MODE_ASK)- MarketInfo("NZDCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s18", OBJPROP_CORNER, 0);
   ObjectSet("s18", OBJPROP_XDISTANCE, 5);
   ObjectSet("s18", OBJPROP_YDISTANCE, 117);
   ObjectDelete("s19");
   ObjectCreate("s19", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s19", "  " + DoubleToStr(MarketInfo("NZDCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("NZDCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s19", OBJPROP_CORNER, 0);
   ObjectSet("s19", OBJPROP_XDISTANCE, 62);
   ObjectSet("s19", OBJPROP_YDISTANCE, 117);
   
 //--------------------------------------------- 
   
   ObjectDelete("s20");
   ObjectCreate("s20", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s20", "AUDUSD" + " (" + DoubleToStr((MarketInfo("AUDUSD", MODE_ASK)- MarketInfo("AUDUSD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s20", OBJPROP_CORNER, 0);
   ObjectSet("s20", OBJPROP_XDISTANCE, 122);
   ObjectSet("s20", OBJPROP_YDISTANCE, 15);
   ObjectDelete("s21");
   ObjectCreate("s21", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s21", " " + DoubleToStr(MarketInfo("AUDUSD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("AUDUSD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s21", OBJPROP_CORNER, 0);
   ObjectSet("s21", OBJPROP_XDISTANCE, 180);
   ObjectSet("s21", OBJPROP_YDISTANCE, 15);
   
   ObjectDelete("s22");
   ObjectCreate("s22", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s22", "NZDUSD" + " (" + DoubleToStr((MarketInfo("NZDUSD", MODE_ASK)- MarketInfo("NZDUSD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s22", OBJPROP_CORNER, 0);
   ObjectSet("s22", OBJPROP_XDISTANCE, 122);
   ObjectSet("s22", OBJPROP_YDISTANCE, 25);
   ObjectDelete("s23");
   ObjectCreate("s23", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s23", " " + DoubleToStr(MarketInfo("NZDUSD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("NZDUSD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s23", OBJPROP_CORNER, 0);
   ObjectSet("s23", OBJPROP_XDISTANCE, 180);
   ObjectSet("s23", OBJPROP_YDISTANCE, 25);
   
   ObjectDelete("s24");
   ObjectCreate("s24", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s24", "AUDNZD" + " (" + DoubleToStr((MarketInfo("AUDNZD", MODE_ASK)- MarketInfo("AUDNZD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s24", OBJPROP_CORNER, 0);
   ObjectSet("s24", OBJPROP_XDISTANCE, 122);
   ObjectSet("s24", OBJPROP_YDISTANCE, 38);
   ObjectDelete("s25");
   ObjectCreate("s25", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s25", " " + DoubleToStr(MarketInfo("AUDNZD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("AUDNZD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s25", OBJPROP_CORNER, 0);
   ObjectSet("s25", OBJPROP_XDISTANCE, 180);
   ObjectSet("s25", OBJPROP_YDISTANCE, 38);
   
   ObjectDelete("s26");
   ObjectCreate("s26", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s26", "AUDJPY" + " (" + DoubleToStr((MarketInfo("AUDJPY", MODE_ASK)- MarketInfo("AUDJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s26", OBJPROP_CORNER, 0);
   ObjectSet("s26", OBJPROP_XDISTANCE, 122);
   ObjectSet("s26", OBJPROP_YDISTANCE, 48);
   ObjectDelete("s27");
   ObjectCreate("s27", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s27", " " + DoubleToStr(MarketInfo("AUDJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("AUDJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s27", OBJPROP_CORNER, 0);
   ObjectSet("s27", OBJPROP_XDISTANCE, 180);
   ObjectSet("s27", OBJPROP_YDISTANCE, 48);
   
   ObjectDelete("s28");
   ObjectCreate("s28", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s28", "AUDCHF" + " (" + DoubleToStr((MarketInfo("AUDCHF", MODE_ASK)- MarketInfo("AUDCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s28", OBJPROP_CORNER, 0);
   ObjectSet("s28", OBJPROP_XDISTANCE, 122);
   ObjectSet("s28", OBJPROP_YDISTANCE, 61);
   ObjectDelete("s29");
   ObjectCreate("s29", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s29", " " + DoubleToStr(MarketInfo("AUDCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("AUDCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s29", OBJPROP_CORNER, 0);
   ObjectSet("s29", OBJPROP_XDISTANCE, 180);
   ObjectSet("s29", OBJPROP_YDISTANCE, 61);
   
   ObjectDelete("s30");
   ObjectCreate("s30", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s30", "AUDCAD" + " (" + DoubleToStr((MarketInfo("AUDCAD", MODE_ASK)- MarketInfo("AUDCAD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s30", OBJPROP_CORNER, 0);
   ObjectSet("s30", OBJPROP_XDISTANCE, 122);
   ObjectSet("s30", OBJPROP_YDISTANCE, 71);
   ObjectDelete("s31");
   ObjectCreate("s31", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s31", " " + DoubleToStr(MarketInfo("AUDCAD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("AUDCAD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s31", OBJPROP_CORNER, 0);
   ObjectSet("s31", OBJPROP_XDISTANCE, 180);
   ObjectSet("s31", OBJPROP_YDISTANCE, 71);
   
   ObjectDelete("s32");
   ObjectCreate("s32", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s32", "CADJPY" + " (" + DoubleToStr((MarketInfo("CADJPY", MODE_ASK)- MarketInfo("CADJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s32", OBJPROP_CORNER, 0);
   ObjectSet("s32", OBJPROP_XDISTANCE, 122);
   ObjectSet("s32", OBJPROP_YDISTANCE, 84);
   ObjectDelete("s33");
   ObjectCreate("s33", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s33", " " + DoubleToStr(MarketInfo("CADJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("CADJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s33", OBJPROP_CORNER, 0);
   ObjectSet("s33", OBJPROP_XDISTANCE, 180);
   ObjectSet("s33", OBJPROP_YDISTANCE, 84);
   
   ObjectDelete("s34");
   ObjectCreate("s34", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s34", "CHFJPY" + " (" + DoubleToStr((MarketInfo("CHFJPY", MODE_ASK)- MarketInfo("CHFJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s34", OBJPROP_CORNER, 0);
   ObjectSet("s34", OBJPROP_XDISTANCE, 122);
   ObjectSet("s34", OBJPROP_YDISTANCE, 94);
   ObjectDelete("s35");
   ObjectCreate("s35", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s35", " " + DoubleToStr(MarketInfo("CHFJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("CHFJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s35", OBJPROP_CORNER, 0);
   ObjectSet("s35", OBJPROP_XDISTANCE, 180);
   ObjectSet("s35", OBJPROP_YDISTANCE, 94);
   
   ObjectDelete("s36");
   ObjectCreate("s36", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s36", "CADCHF" + " (" + DoubleToStr((MarketInfo("CADCHF", MODE_ASK)- MarketInfo("CADCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s36", OBJPROP_CORNER, 0);
   ObjectSet("s36", OBJPROP_XDISTANCE, 122);
   ObjectSet("s36", OBJPROP_YDISTANCE, 107);
   ObjectDelete("s37");
   ObjectCreate("s37", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s37", " " + DoubleToStr(MarketInfo("CADCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("CADCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s37", OBJPROP_CORNER, 0);
   ObjectSet("s37", OBJPROP_XDISTANCE, 180);
   ObjectSet("s37", OBJPROP_YDISTANCE, 107);
   
   ObjectDelete("s38");
   ObjectCreate("s38", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s38", "NZDCAD" + " (" + DoubleToStr((MarketInfo("NZDCAD", MODE_ASK)- MarketInfo("NZDCAD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s38", OBJPROP_CORNER, 0);
   ObjectSet("s38", OBJPROP_XDISTANCE, 122);
   ObjectSet("s38", OBJPROP_YDISTANCE, 117);
   ObjectDelete("s39");
   ObjectCreate("s39", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s39", " " + DoubleToStr(MarketInfo("NZDCAD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("NZDCAD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s39", OBJPROP_CORNER, 0);
   ObjectSet("s39", OBJPROP_XDISTANCE, 180);
   ObjectSet("s39", OBJPROP_YDISTANCE, 117);
   
 //--------------------------------------------- 
 
   ObjectDelete("s40");
   ObjectCreate("s40", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s40", "USDJPY" + " (" + DoubleToStr((MarketInfo("USDJPY", MODE_ASK)- MarketInfo("USDJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s40", OBJPROP_CORNER, 0);
   ObjectSet("s40", OBJPROP_XDISTANCE, 240);
   ObjectSet("s40", OBJPROP_YDISTANCE, 15);
   ObjectDelete("s41");
   ObjectCreate("s41", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s41", " " + DoubleToStr(MarketInfo("USDJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("USDJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s41", OBJPROP_CORNER, 0);
   ObjectSet("s41", OBJPROP_XDISTANCE, 295);
   ObjectSet("s41", OBJPROP_YDISTANCE, 15);
   
   ObjectDelete("s42");
   ObjectCreate("s42", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s42", "USDCHF" + " (" + DoubleToStr((MarketInfo("USDCHF", MODE_ASK)- MarketInfo("USDCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s42", OBJPROP_CORNER, 0);
   ObjectSet("s42", OBJPROP_XDISTANCE, 240);
   ObjectSet("s42", OBJPROP_YDISTANCE, 25);
   ObjectDelete("s43");
   ObjectCreate("s43", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s43", " " + DoubleToStr(MarketInfo("USDCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("USDCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s43", OBJPROP_CORNER, 0);
   ObjectSet("s43", OBJPROP_XDISTANCE, 295);
   ObjectSet("s43", OBJPROP_YDISTANCE, 25);
   
   ObjectDelete("s44");
   ObjectCreate("s44", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s44", "USDCAD" + " (" + DoubleToStr((MarketInfo("USDCAD", MODE_ASK)- MarketInfo("USDCAD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s44", OBJPROP_CORNER, 0);
   ObjectSet("s44", OBJPROP_XDISTANCE, 240);
   ObjectSet("s44", OBJPROP_YDISTANCE, 38);
   ObjectDelete("s45");
   ObjectCreate("s45", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s45", " " + DoubleToStr(MarketInfo("USDCAD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("USDCAD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s45", OBJPROP_CORNER, 0);
   ObjectSet("s45", OBJPROP_XDISTANCE, 295);
   ObjectSet("s45", OBJPROP_YDISTANCE, 38);
   
   ObjectDelete("s46");
   ObjectCreate("s46", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s46", "GBPCAD" + " (" + DoubleToStr((MarketInfo("GBPCAD", MODE_ASK)- MarketInfo("GBPCAD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s46", OBJPROP_CORNER, 0);
   ObjectSet("s46", OBJPROP_XDISTANCE, 240);
   ObjectSet("s46", OBJPROP_YDISTANCE, 48);
   ObjectDelete("s47");
   ObjectCreate("s47", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s47", " " + DoubleToStr(MarketInfo("GBPCAD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPCAD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s47", OBJPROP_CORNER, 0);
   ObjectSet("s47", OBJPROP_XDISTANCE, 295);
   ObjectSet("s47", OBJPROP_YDISTANCE, 48);
   
   ObjectDelete("s48");
   ObjectCreate("s48", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s48", "GBPJPY" + " (" + DoubleToStr((MarketInfo("GBPJPY", MODE_ASK)- MarketInfo("GBPJPY", MODE_BID))*100,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s48", OBJPROP_CORNER, 0);
   ObjectSet("s48", OBJPROP_XDISTANCE, 240);
   ObjectSet("s48", OBJPROP_YDISTANCE, 61);
   ObjectDelete("s49");
   ObjectCreate("s49", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s49", " " + DoubleToStr(MarketInfo("GBPJPY", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPJPY", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s49", OBJPROP_CORNER, 0);
   ObjectSet("s49", OBJPROP_XDISTANCE, 295);
   ObjectSet("s49", OBJPROP_YDISTANCE, 61);
   
   ObjectDelete("s50");
   ObjectCreate("s50", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s50", "GBPCHF" + " (" + DoubleToStr((MarketInfo("GBPCHF", MODE_ASK)- MarketInfo("GBPCHF", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s50", OBJPROP_CORNER, 0);
   ObjectSet("s50", OBJPROP_XDISTANCE, 240);
   ObjectSet("s50", OBJPROP_YDISTANCE, 71);
   ObjectDelete("s51");
   ObjectCreate("s51", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s51", " " + DoubleToStr(MarketInfo("GBPCHF", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPCHF", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s51", OBJPROP_CORNER, 0);
   ObjectSet("s51", OBJPROP_XDISTANCE, 295);
   ObjectSet("s51", OBJPROP_YDISTANCE, 71);
   
   ObjectDelete("s52");
   ObjectCreate("s52", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s52", "GBPAUD" + " (" + DoubleToStr((MarketInfo("GBPAUD", MODE_ASK)- MarketInfo("GBPAUD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s52", OBJPROP_CORNER, 0);
   ObjectSet("s52", OBJPROP_XDISTANCE, 240);
   ObjectSet("s52", OBJPROP_YDISTANCE, 84);
   ObjectDelete("s53");
   ObjectCreate("s53", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s53", " " + DoubleToStr(MarketInfo("GBPAUD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPAUD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s53", OBJPROP_CORNER, 0);
   ObjectSet("s53", OBJPROP_XDISTANCE, 295);
   ObjectSet("s53", OBJPROP_YDISTANCE, 84);
   
   ObjectDelete("s54");
   ObjectCreate("s54", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s54", "GBPNZD" + " (" + DoubleToStr((MarketInfo("GBPNZD", MODE_ASK)- MarketInfo("GBPNZD", MODE_BID))*10000,0) + ") ", 7, "Arial", c_pair);
   ObjectSet("s54", OBJPROP_CORNER, 0);
   ObjectSet("s54", OBJPROP_XDISTANCE, 240);
   ObjectSet("s54", OBJPROP_YDISTANCE, 94);
   ObjectDelete("s55");
   ObjectCreate("s55", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("s55", " " + DoubleToStr(MarketInfo("GBPNZD", MODE_SWAPLONG), 2)+" / "+DoubleToStr(MarketInfo("GBPNZD", MODE_SWAPSHORT), 2) + "" , 7, "Arial Bold", c_swap);
   ObjectSet("s55", OBJPROP_CORNER, 0);
   ObjectSet("s55", OBJPROP_XDISTANCE, 295);
   ObjectSet("s55", OBJPROP_YDISTANCE, 94);
   
   int    counted_bars=IndicatorCounted();
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+